import { HttpErrorResponse } from "@angular/common/http";
import { Observable } from "rxjs";
export interface IHandlerConfig {
    defaultRetryCount?: number;
    defaultRetryDelay?: number;
    defaultErrorHandler?: (error: HttpErrorResponse) => void;
}
export declare function configureHandler(config: IHandlerConfig): void;
export declare function pendingRequestsCount(): Observable<number>;
export declare function handle<T>(dataSetter: (response: T) => void, loadingSetter?: (loading: boolean) => void, fallbackValue?: any, errorHandler?: (error: HttpErrorResponse) => void, retryCount?: number, retryDelay?: number): (source$: Observable<T>) => Observable<T>;
